summaryrefslogtreecommitdiff
path: root/test/scripts/light-system-test.sh
diff options
context:
space:
mode:
authorMagnus Ahltorp <map@kth.se>2017-02-07 16:29:46 +0100
committerMagnus Ahltorp <map@kth.se>2017-02-07 21:22:52 +0100
commit142b19cda6f9c6133c3559f320bb96b10447fb3b (patch)
treeb96a7d2f23502ff0486ee4ea541af348ccf51d72 /test/scripts/light-system-test.sh
parent70a87a1d878106aa97205507c3cd3eb9ba1667f2 (diff)
Improve start and stop of Erlang nodes
Diffstat (limited to 'test/scripts/light-system-test.sh')
-rwxr-xr-xtest/scripts/light-system-test.sh38
1 files changed, 23 insertions, 15 deletions
diff --git a/test/scripts/light-system-test.sh b/test/scripts/light-system-test.sh
index ad3daca..217fb2c 100755
--- a/test/scripts/light-system-test.sh
+++ b/test/scripts/light-system-test.sh
@@ -10,18 +10,24 @@ top_srcdir=$(cd $(dirname $0)/../..; pwd)
SCRIPTS=${top_srcdir}/test/scripts
tests_start() {
- ${SCRIPTS}/light-system-test-start.sh $@
+ ${SCRIPTS}/light-system-test-start.sh "$@"
}
tests_stop() {
- ${SCRIPTS}/light-system-test-stop.sh
+ ${SCRIPTS}/light-system-test-stop.sh "$@"
+}
+
+tests_stop_all() {
+ ${SCRIPTS}/light-system-test-stop.sh mergeprimary mergesecondary frontend storage signing
}
${SCRIPTS}/light-system-test-prepare.sh
-tests_start initlog
-${SCRIPTS}/light-system-test-run-1.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+tests_start signing mergesecondary storage frontend
+${top_srcdir}/tools/initlog.py --config machine/merge/catlfish-test.cfg --localconfig machine/merge/catlfish-test-local-merge.cfg
+tests_start mergeprimary
+${SCRIPTS}/light-system-test-run-1.sh || (echo "Tests failed"; sleep 5; tests_stop_all; false)
sleep 5
-tests_stop
+tests_stop_all
sleep 5
echo
echo
@@ -33,10 +39,10 @@ echo
echo
echo
echo
-tests_start
-${SCRIPTS}/light-system-test-run-2.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+tests_start signing mergesecondary storage frontend mergeprimary
+${SCRIPTS}/light-system-test-run-2.sh || (echo "Tests failed"; sleep 5; tests_stop_all; false)
sleep 5
-tests_stop
+tests_stop_all
sleep 5
echo
echo
@@ -49,10 +55,12 @@ echo
echo
echo
${SCRIPTS}/light-system-test-prepare-merge-takeover.sh
-tests_start initlog --promote-secondary
-${SCRIPTS}/light-system-test-run-3.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+tests_start signing mergesecondary storage frontend
+${top_srcdir}/tools/initlog.py --config machine/merge/catlfish-test.cfg --localconfig machine/merge/catlfish-test-local-merge.cfg --promote-secondary
+tests_start mergeprimary
+${SCRIPTS}/light-system-test-run-3.sh || (echo "Tests failed"; sleep 5; tests_stop_all; false)
sleep 5
-tests_stop
+tests_stop_all
sleep 5
echo
echo
@@ -65,8 +73,8 @@ echo
echo
echo
${SCRIPTS}/light-system-test-prepare-redistribute-frontend.sh
-tests_start
-${SCRIPTS}/light-system-test-run-4.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+tests_start signing mergesecondary storage frontend mergeprimary
+${SCRIPTS}/light-system-test-run-4.sh || (echo "Tests failed"; sleep 5; tests_stop_all; false)
echo
echo
@@ -80,6 +88,6 @@ echo
echo
-${SCRIPTS}/light-system-test-run-5.sh || (echo "Tests failed"; sleep 5; tests_stop; false)
+${SCRIPTS}/light-system-test-run-5.sh || (echo "Tests failed"; sleep 5; tests_stop_all; false)
sleep 5
-tests_stop
+tests_stop_all